rubygem-ruby-openid-2.1.8-1-omv2013.0.noarch.rpm


Advertisement

Description

rubygem-ruby-openid - A library for consuming and serving OpenID identities

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Contrib i586
Package name rubygem-ruby-openid
Package version 2.1.8
Package release 1-omv2013.0
Package architecture noarch
Package type rpm
Installed size 278.17 KB
Download size 73.07 KB
Official Mirror abf-downloads.openmandriva.org
Ruby OpenID is a Ruby library for verifying and serving OpenID identities.
==Features
* Easy to use API for verifying OpenID identites - OpenID::Consumer
* Support for serving OpenID identites - OpenID::Server
* Does not depend on underlying web framework
* Supports multiple storage mechanisms (Filesystem, ActiveRecord, Memory)
* Example code to help you get started, including:
* Ruby on Rails based consumer and server
* OpenIDLoginGenerator for quickly getting creating a rails app that uses
OpenID for authentication
* ActiveRecordOpenIDStore plugin
* Comprehensive test suite
* Supports both OpenID 1 and OpenID 2 transparently

Alternatives

Package Version Architecture Repository
rubygem-ruby-openid-2.1.8-1-omv2013.0.noarch.rpm 2.1.8 noarch OpenMandriva Contrib
rubygem-ruby-openid - - -

Requires

Name Value
ruby(abi) == 1.9.1
rubygems -

Provides

Name Value
rubygem(ruby-openid) == 2.1.8
rubygem-ruby-openid == 2.1.8-1:2013.0

Download

Type URL
Binary Package rubygem-ruby-openid-2.1.8-1-omv2013.0.noarch.rpm
Source Package rubygem-ruby-openid-2.1.8-1.src.rpm

Install Howto

  1. Enable OpenMandriva Contrib repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install rubygem-ruby-openid rpm package:
    # urpmi rubygem-ruby-openid

Files

Path
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/admin/runtests.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/hmac/hmac.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/hmac/sha1.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/hmac/sha2.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/association.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/cryptutil.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/dh.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/extension.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/extras.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/fetchers.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/kvform.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/kvpost.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/message.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/protocolerror.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/server.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/trustroot.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/urinorm.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/util.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/associationmanager.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/checkid_request.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/discovery.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/discovery_manager.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/html_parse.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/idres.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/consumer/responses.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/extensions/ax.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/extensions/oauth.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/extensions/pape.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/extensions/sreg.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/store/filesystem.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/store/interface.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/store/memcache.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/store/memory.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/store/nonce.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/accept.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/constants.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/discovery.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/filters.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/htmltokenizer.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/parsehtml.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/services.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/xrds.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/xri.rb
/usr/lib/ruby/gems/1.9.1/gems/ruby-openid-2.1.8/lib/openid/yadis/xrires.rb
/usr/lib/ruby/gems/1.9.1/specifications/ruby-openid-2.1.8.gemspec

Changelog

2011-03-13 - Per ?yvind Karlsen <peroyvind@mandriva.org> 2.1.8-1
+ Revision: 644330
- regenerate spec with gem2rpm5
- new release: 2.1.8
2010-12-07 - Oden Eriksson <oeriksson@mandriva.com> 2.1.7-2mdv2011.0
+ Revision: 614796
- the mass rebuild of 2010.1 packages

See Also

Package Description
rubygem-ruby-openid-doc-2.1.8-1-omv2013.0.noarch.rpm Documentation for rubygem-ruby-openid
rubygem-ruby-yadis-0.3.4-3-omv2015.0.noarch.rpm A library for performing Yadis service discovery
rubygem-ruby2ruby-1.2.5-2-omv2015.0.noarch.rpm Allows generating pure ruby code easily from RubyParser compatible Sexps
rubygem-ruby_parser-2.0.5-2-omv2015.0.noarch.rpm A ruby parser written in pure ruby
rubygem-rubyforge-2.0.4-2-omv2015.0.noarch.rpm A script which automates a limited set of rubyforge operations
rubygem-rubyzip-0.9.4-3-omv2015.0.noarch.rpm A ruby module for reading and writing zip files
rubygem-sequel-3.31.0-2-omv2013.0.noarch.rpm The Database Toolkit for Ruby
rubygem-sequel-doc-3.31.0-2-omv2013.0.noarch.rpm Documentation for rubygem-sequel
rubygem-sexp_processor-3.0.5-2-omv2015.0.noarch.rpm Branches from ParseTree bringing all the generic sexp processing tools with it
rubygem-shoulda-2.11.3-2-omv2013.0.noarch.rpm Making tests easy on the fingers and eyes
rubygem-shoulda-doc-2.11.3-2-omv2013.0.noarch.rpm Documentation for rubygem-shoulda
rubygem-sinatra-1.3.2-1-omv2013.0.noarch.rpm Classy web-development dressed in a DSL
rubygem-sinatra-doc-1.3.2-1-omv2013.0.noarch.rpm Documentation for rubygem-sinatra
rubygem-spork-0.9.2-3-omv2015.0.i586.rpm A forking Drb spec server
rubygem-sprockets-2.12.0-9-omv2015.0.noarch.rpm Sprockets is a Rack-based asset packaging system
Advertisement
Advertisement